[[ "$BLOCK_INSTANCE" =~ "mic" ]] && DEV="Capture" || DEV="Master"
[[ "$BLOCK_BUTTON" == 2 ]] && pavucontrol &
[[ "$BLOCK_BUTTON" == 3 ]] && amixer set $DEV toggle &> /dev/null

if [[ $(amixer get $DEV) =~ \[([0-9]+)\%\][[:space:]]\[(on|off)\] ]]; then
    LOAD=${BASH_REMATCH[1]}
    STATE=${BASH_REMATCH[2]}
    if [[ "$STATE" == "on" ]]; then
        LONG_TEXT="${LOAD}%"
        SHORT_TEXT="${LOAD}"
    else
        LONG_TEXT="${LOAD}% off"
        SHORT_TEXT="off"
        LOAD=false
    fi
else
    LONG_TEXT="Audio source not found"
    SHORT_TEXT="n/a"
    LOAD=false
fi
