DIR="/sys/class/backlight"
if [[ -d "$DIR/acpi_video0" ]]; then
   DIR="$DIR/acpi_video0"
elif [[ -d "$DIR/intel_backlight" ]]; then
   DIR="$DIR/intel_backlight"
else
   printf "no backlight\nn/a\n"
   exit 33
fi
CURRENT_BRIGHTNESS=$(cat "$DIR/brightness")
MAXIMUM_BRIGHTNESS=$(cat "$DIR/max_brightness")

LOAD=$((CURRENT_BRIGHTNESS * 100 / MAXIMUM_BRIGHTNESS))
LONG_TEXT="${LOAD}%"
SHORT_TEXT="${LOAD}"
