[[ "$BLOCK_BUTTON" == 2 ]] && i3-sensible-terminal -e htop

SENSORS=$(sensors *-isa-*)
if [[ $SENSORS =~ Package[^\+]*\+([0-9]{1,3})[^\+]*\+([0-9]{1,3}) ]]; then
    TEMP="${BASH_REMATCH[1]}"
    HIGH="${BASH_REMATCH[2]}"
    TRESHOLD=40
    LOAD=$((($TEMP - $TRESHOLD) * 100 / ($HIGH - $TRESHOLD)))
    LONG_TEXT="$(($LOAD + $TRESHOLD))°C"
    SHORT_TEXT="$((${LOAD} + ${TRESHOLD}))"
fi
